This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 241487 - Review Request: cduce - An XML-oriented functional language (ocaml)
Review Request: cduce - An XML-oriented functional language (ocaml)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On: 240557 241472 241475 241476 241483 241486
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-26 11:37 EDT by Richard W.M. Jones
Modified: 2008-03-28 15:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 15:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-05-26 11:37:48 EDT
Spec URL: http://annexia.org/tmp/cduce.spec
SRPM URL: http://annexia.org/tmp/cduce-0.4.2-1.src.rpm
Description: CDuce is an XML-oriented functional language.  http://cduce.org/
Comment 1 Jason Tibbitts 2007-06-02 01:58:52 EDT
Seems this has a dependency on ocaml-ocamlnet-devel which isn't in the distro
yet.  In fact, it hasn't been reviewed yet.  I'll add a dependency.
Comment 2 Xavier Lamien 2007-06-07 23:45:21 EDT
i'll start a full review once the bug dependency #241472 review will done (by me).
Comment 3 Xavier Lamien 2007-06-09 20:02:31 EDT
Added other bug dependencies blocks
Comment 4 Richard W.M. Jones 2007-06-11 15:56:26 EDT
Upstream CDuce haven't released a version which works with OCaml 3.10 yet.
Comment 5 Richard W.M. Jones 2007-08-06 07:05:21 EDT
Add magic word ocaml to summary.
Comment 6 Giuseppe Castagna 2007-09-12 04:54:39 EDT
Any news about it? The CDuce team has released a version compatible with OCaml
3.10 three months ago
Comment 7 Richard W.M. Jones 2007-09-12 05:43:25 EDT
I'll take a look, but it is an issue of spare time at the moment.
Comment 8 Richard W.M. Jones 2007-09-13 12:55:51 EDT
Spec URL: http://annexia.org/tmp/ocaml/cduce.spec
SRPM URL: http://annexia.org/tmp/ocaml/cduce-0.5.0-1.src.rpm

* Thu Sep 13 2007 Richard W.M. Jones <rjones@redhat.com> - 0.5.0-1
- Upstream version 0.5.0
- Remove RPATH in cduce binary.
- ExcludeArch ppc64.
- Build without ocamlopt.
- Convert AUTHORS file to UTF-8.
- Ignore Parsetree module.
Comment 9 Xavier Lamien 2007-09-21 12:02:03 EDT
ok, 
I'll check this next week ;)
Comment 10 Giuseppe Castagna 2007-12-01 11:06:22 EST
I tried it on a fresh Fedora 8 install plus 

ocaml-ocamlnet-2.2.9-1.fc8.i386.rpm
ocaml-ocamlnet-devel-2.2.9-1.fc8.i386.rpm
ocaml-pxp-1.2.0test1-2.fc8.i386.rpm
ocaml-pxp-devel-1.2.0test1-2.fc8.i386.rpm

It works like a charm. 
The only think I do not understand is why you renamed the ocaml cgi package to
netcgi1. This for instance makes it impossible to compile cduce from svn without
appying first the patch.

In any case thanks a lot for the great work. Looking forward to see this
package approved
Comment 11 Richard W.M. Jones 2008-02-12 07:42:45 EST
I've just rechecked and this still builds.  Any news?
Comment 12 Giuseppe Castagna 2008-02-15 06:32:03 EST
A new 0.5.1 version of CDuce has been released.
http://www.cduce.org/download.html
Comment 13 Richard W.M. Jones 2008-02-15 14:33:16 EST
Without the netcgi1 patch I can't get cduce to compile:

Checking for package camlp4... ok
Checking for package num... ok
Checking for package pcre... ok
Checking for package ulex... ok
Checking for package cgi... ocamlfind: Package `cgi' not found
failed !
*** Fatal error: Required package is not available
error: Bad exit status from /var/tmp/rpm-tmp.44682 (%prep)
Comment 14 Richard W.M. Jones 2008-02-15 14:44:53 EST
Spec URL: http://annexia.org/tmp/ocaml/cduce.spec
SRPM URL: http://annexia.org/tmp/ocaml/cduce-0.5.1-1.fc9.src.rpm

* Fri Feb 15 2008 Richard W.M. Jones <rjones@redhat.com> - 0.5.1-1
- New upstream release 0.5.1.
- New OCaml 3.10.1.
Comment 15 Giuseppe Castagna 2008-02-17 06:23:27 EST
(In reply to comment #13)
> Without the netcgi1 patch I can't get cduce to compile:
> 
> Checking for package camlp4... ok
> Checking for package num... ok
> Checking for package pcre... ok
> Checking for package ulex... ok
> Checking for package cgi... ocamlfind: Package `cgi' not found
> failed !

Ok, we fixed it in the svn version. Now if cgi package is not found
then cduce is build but dtd2cduce and and the web interface interpreter
are not. Thanks for the bug report.
Comment 16 Giuseppe Castagna 2008-02-17 06:31:35 EST
(In reply to comment #14)
> Spec URL: http://annexia.org/tmp/ocaml/cduce.spec
>


In cduce.spec the following lines 

mv AUTHORS AUTHORS.old
iconv -f ISO-8859-1 -t UTF-8 < AUTHORS.old > AUTHORS

are no longer useful since now the AUTHORS file is in UTF-8
Comment 17 Giuseppe Castagna 2008-02-17 19:44:45 EST
(In reply to comment #15)
> (In reply to comment #13)
> > Without the netcgi1 patch I can't get cduce to compile:
> > 
> > Checking for package camlp4... ok
> > Checking for package num... ok
> > Checking for package pcre... ok
> > Checking for package ulex... ok
> > Checking for package cgi... ocamlfind: Package `cgi' not found
> > failed !
> 
> Ok, we fixed it in the svn version. Now if cgi package is not found
> then cduce is build but dtd2cduce and and the web interface interpreter
> are not. Thanks for the bug report.

It now uses the netcgi1 package provided by ocaml-ocamlnet-xxx.rpm
Comment 18 Richard W.M. Jones 2008-02-23 18:29:39 EST
Any idea when a new upstream official release might be out?

When one comes along I'll produce a new Fedora package for review.
Comment 19 Giuseppe Castagna 2008-02-25 14:54:23 EST
(In reply to comment #18)
> Any idea when a new upstream official release might be out?
> 

Yes: today :-)

http://www.cduce.org/download.html
Comment 20 Richard W.M. Jones 2008-02-26 07:52:45 EST
Is there a packaging problem with cduce 0.5.2?  It seems like the
file dtd2cduce.ml is missing, so when I build it I get this error:

Pack cduce_lib.cmo
Build cduce_lib.cma
make[1]: Leaving directory `/home/rjones/rpmbuild/BUILD/cduce-0.5.2'
make: *** No rule to make target `tools/dtd2cduce.ml', needed by `dtd2cduce'.  Stop.
error: Bad exit status from /var/tmp/rpm-tmp.31858 (%build)

Below is a diff of the manifests for 0.5.1 and 0.5.2:

@@ -51,6 +51,8 @@
 ./LICENSE
 ./Makefile
 ./Makefile.conf.template
+./Makefile.macosx
+./make-package-macosx
 ./META.in
 ./misc/bool.ml
 ./misc/bool.mli
@@ -146,10 +148,6 @@
 ./schema/schema_xml.ml
 ./schema/schema_xml.mli
 ./schema/TODO
-./tools/.cvsignore
-./tools/dtd2cduce.ml
-./tools/pull.ml
-./tools/validate.ml
 ./types/atoms.ml
 ./types/atoms.mli
 ./types/boolean.ml
Comment 21 Richard W.M. Jones 2008-02-26 17:47:39 EST
Here's a new release based on 0.5.2-1.  Please don't use '-' character in
upstream release numbers!  It makes it hard to package!

Anyway:

Spec URL: http://www.annexia.org/tmp/ocaml/cduce.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/cduce-0.5.2.1-1.fc9.src.rpm

  * Tue Feb 26 2008 Richard W.M. Jones <rjones@redhat.com> - 0.5.2.1-1
  - New upstream release 0.5.2-1.

Here are the rpmlint errors:

  $ rpmlint /home/rjones/rpmbuild/SRPMS/cduce-0.5.2.1-1.fc9.src.rpm
  cduce.src:63: E: configure-without-libdir-spec

This is a problem in rpmlint.  See bug 433783.

  $ rpmlint /home/rjones/rpmbuild/RPMS/i386/cduce-0.5.2.1-1.fc9.i386.rpm
  cduce.i386: E: only-non-binary-in-usr-lib
  cduce.i386: W: ocaml-naming-policy-not-applied /usr/lib/ocaml/cduce/cduce_lib.cmi

See also bug 433783.

  $ rpmlint /home/rjones/rpmbuild/RPMS/i386/cduce-devel-0.5.2.1-1.fc9.i386.rpm
  cduce-devel.i386: W: ocaml-naming-policy-not-applied /usr/lib/ocaml/cduce/cduce_lib.a

As above.
Comment 22 Xavier Lamien 2008-03-01 13:05:10 EST
just approved lastest require of ocaml-cduce.
Will finalize this one once you will import and build ocaml-pxp as well.
Comment 23 Richard W.M. Jones 2008-03-02 06:09:44 EST
ocaml-pxp is built now.
Comment 24 Richard W.M. Jones 2008-03-10 17:38:57 EDT
Hello Xavier, any news on this?  We should be able to approve it now?
Comment 25 Xavier Lamien 2008-03-25 08:45:34 EDT
yep it is, sorry for the delay.

Fails on missing libs :
--> http://koji.fedoraproject.org/koji/getfile?taskID=529687&name=build.log




Comment 26 Richard W.M. Jones 2008-03-25 12:15:12 EDT
Ugh, missing BR.  Fixed and test built in Koji here:

  http://koji.fedoraproject.org/koji/taskinfo?taskID=530193

Spec URL: http://www.annexia.org/tmp/ocaml/cduce.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/cduce-0.5.2.1-4.fc9.src.rpm

* Tue Mar 25 2008 Richard W.M. Jones <rjones@redhat.com> - 0.5.2.1-4
- ExcludeArch ppc64 again (see bug 438843).

* Tue Mar 25 2008 Richard W.M. Jones <rjones@redhat.com> - 0.5.2.1-3
- Added BR pcre-devel.
- Test build in Koji.

* Wed Mar  5 2008 Richard W.M. Jones <rjones@redhat.com> - 0.5.2.1-2
- Remove ExcludeArch ppc64.
Comment 27 Xavier Lamien 2008-03-27 09:26:54 EDT
test pass.

This package is ** Approved **.
Comment 28 Richard W.M. Jones 2008-03-28 05:18:00 EDT
New Package CVS Request
=======================
Package Name: cduce
Short Description: CDuce is a modern XML-oriented functional language
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 29 Giuseppe Castagna 2008-03-28 06:06:33 EDT
Great!
Comment 30 Kevin Fenzi 2008-03-28 13:01:23 EDT
cvs done.
Comment 31 Richard W.M. Jones 2008-03-28 15:08:00 EDT
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=536542

Fails in F-8 at the moment because ocaml-pxp hasn't yet migrated
out to the main repository, but I don't anticipate any problems.

Note You need to log in before you can comment on or make changes to this bug.